package mocks

import (
	"encoding/json"

	uuid "github.com/google/uuid"
)

func (p *Plugin) MarshalJSON() ([]byte, error) {
	return json.Marshal(&struct {
		ID uuid.UUID `json:"id,omitempty"`
	}{
		ID: p.ID(),
	})
}
